<?
require("../conectar.php");
set_time_limit (1200);
function checar($arreglo,$anun,$salir)
{
$top=count($arreglo);
if($top>0)
{
$html=$anun;
$htmls=strtoupper($html);
for($x=0;$x<$top;$x++)
	{
	
		
		$arr=strtoupper($arreglo["$x"]);
		$arrr=explode(" ",$arr);
		$tops=count($arrr);
		for($t=0;$t<$tops;$t++)
		{
		$arrr2=explode("_",$arrr["$t"]);
		$tops2=count($arrr2);
		for($t2=0;$t2<$tops2;$t2++)
		{
		$resultado=strpos($htmls,$arrr2["$t2"]);
		if($resultado!=FALSE)
			{
   	 		$x=$top;
   	 		$ban="entro";
			}
		else{
		$salir=0;}	
		if($ban=="entro")
		{
		$salir=1;
		$ban=0;
		}
	else{ $salir=0;}
		}}
	}
}	
return($salir);	
}
function checarmail($arreglo,$anun,$salir)
{
$top=count($arreglo);
if($top>0)
{
$html=$anun;
$htmls=strtoupper($html);
for($x=0;$x<$top;$x++)
	{
	
		
		$arr=strtoupper($arreglo["$x"]);
		$arrr=explode(".",$arr);
		$tops=count($arrr);
		for($t=0;$t<$tops;$t++)
		{
		if($arrr["$t"]!="com"){
			$resultado=strpos($htmls,$arrr["$t"]);
			if($resultado!=FALSE)
				{
				$x=$top;
				$ban="entro";
				}
			else{
			$salir=0;}	
			if($ban=="entro")
			{
			$salir=1;
			$ban=0;
			}
			else{ $salir=0;}
			}
		}
	}
}	
return($salir);	
} 

function existe($url) {
	    $ch = @curl_init($url);
	    @curl_setopt($ch, CURLOPT_HEADER, TRUE);
	    @curl_setopt($ch, CURLOPT_NOBODY, TRUE);
	    @curl_setopt($ch, CURLOPT_FOLLOWLOCATION, FALSE);
	    @curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
	    $status = array();
	    preg_match('/HTTP\/.* ([0-9]+) .*/', @curl_exec($ch) , $status);
	    return ($status[1] == 200);
	}
/* $empleados="SELECT a_pat,a_mat,nombre, id_empleado,email2 from empleados WHERE id_empleado='$id_empleado' ";
$emple=mysql_query($empleados);		
$emp=mysql_fetch_array($emple);

$id=$emp["id_empleado"];
*/
$salir=0;
$consulta="SELECT e.a_mat, e.a_pat,  e.nombre, e.email2,a.id_anuncio, a.idioma, a.anuncio, com.nombre, dep.clave,dep.no_depto, dir.descripcion as pagina 
From anuncios as a 
INNER JOIN empleados as e ON a.id_empleado=e.id_empleado
INNER JOIN complejo as com ON com.id_complejo=a.propiedad 
INNER JOIN departamentos as dep ON dep.id_departamento=a.departamento 
INNER JOIN directorios as dir ON dir.id=a.sitio_web  
WHERE a.id_anuncio='$idanusio'";
$consul=mysql_query($consulta);
while($con=mysql_fetch_array($consul))
	{
	
	$idanu=$con["id_anuncio"];	
	$anun=$con["anuncio"];
	$anun=file_get_contents("$anun");
		
	//if(existe($anun))
	{    
		$nombre=array("$con[nombre]","$con[a_pat]","$con[a_mat]","locanto","planetamexico","infoanuncios","milesdeclasificados");
		$salir=checar($nombre,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio tiene mal el nombre de ejecutivo"; }
		
		if($salir==1)
		{
		$telefono=array();
		$salir=checar($telefono,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio tiene mal el telefono"; }
		}
		/*if($salir==1)
		{
		$titulo=array("año","2014","fiestas","decembrinas","navidad","navidades","nuevo");
		$salir=checar($titulo,$anun,$salir);
		if($salir!=1){$ultimo="El titulo del anuncio no es acorde a la temporada"; }
		}*/
		if($salir==1)
		{
		$correo=array("$con[email2]","planetamexico","infoanuncios","locanto","craigslist","anunciosveloces","gabinohome","easyaviso","mercattel","vivanuncios","miles");
		$salir=checarmail($correo,$anun,$salir);
		if($salir!=1){ $ultimo="El anuncio tiene mal el correo";}
		
		}
		if($salir==1)
		{	
		$departamento=array("$con[clave]","$con[no_depto],$con[nombre]");
		$salir=checar($departamento,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio tiene mal el nombre del departamento"; }
		}
		if($salir==1)
		{
		$pagina=array("$con[pagina]");
		$salir=checar($pagina,$anun,$salir);
		if($salir!=1){$ultimo="El anuncio no coincide con la pagina de anuncio"; }
		}
		//comprobar si el idioma es ingles
		if($salir==1)
		{
		if($con["idioma"]==2)
		{
		$idioma=array("the","and","beautiful","in");
		$salir=checar($idioma,$anun,$salir);
		}
		if($salir!=1){$ultimo="El anuncio no esta en ingles"; }
		}
		
	
	if($salir==1)
	{	
	$sql4="UPDATE anuncios set status='1' where id_anuncio='$idanu'";
	$salir=0;
	mysql_query($sql4);
	}

	else {  
	$sql4="UPDATE anuncios set status='2',motivo='$ultimo' where id_anuncio='$idanu'";
	mysql_query($sql4);
	}
		?><body>
		<script>
		</script>
	<?
	
	}
	//else
	{  $sql4="UPDATE anuncios set status='2',motivo='El link esta roto' where id_anuncio='$idanu'";
	//mysql_query($sql4);
	}
	}
	?>